Bug 3 - config dumps core on this config file
Summary: config dumps core on this config file
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: Unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Core Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1994-09-16 02:50 UTC by Dave Evans
Modified: 2016-09-28 20:55 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Evans 1994-09-16 02:50:09 UTC
	The enclosed GENERICAH file makes config dump core after displaying
	a syntax error. 
	The syntax error may be correct or even a new feature. Dumping 
	core on a syntax error probably isn't.
	I have added an extra root drive sd1.  freebsd-1.0 
	would let me set up a kernel for multiple root drives.

Fix: 

Only use one root drive for the time being.
How-To-Repeat: 	Decode the enclosed file.
	$ cd /usr/src/sys/i386/conf
	$ config GENERICAHcoredump

begin 644 GENERICAHcoredump.gz
M'XL(",%>>2X"`T=%3D5224-!2&-O<F5D=6UP`)56;6_B.!#^''[%"/;#G;1M
MXT`I76FUHKRT7'D3%.WN)Q0<T_H(<2YV&OCW-T[("R&M[A`BMN=YGIFQ9QP:
MM08\#J:#Q:C7?8*K*WAD'@LXA;U-W[C'(.+J#7[V;[I/AYMI;P%;>\_=(SA<
M[F2M46L87T;.MUSBZSN0ZQ8!<G_?NC'O\0N6]8U8WYIMH/(U@,'!AR](K)T<
M&$:=-SOM>HWZ(8Y'.%[WYJMLWBK-;],Y=YBG#"/S[/S-4/,02A9(@YBU6D/X
MB@M/&L:D^_*T'DQ6X^[+P#`:R]#W1:!@*P(X=.Z`[4/7UM!:QAA-!R\&0D>>
M8@&.(Q'LN/=:T'Q$K9_=WQKT)*0"+L&&1UNQR#["'R@=V8$CP;?ICBGY9RX]
M'"XUZ8$%.^:R(PQM9`^YRV!YE(KM<^0X08[%:[5]DM@G;"^"XQDD#W.:8*9,
MZ12J=>:+62^!S0-!F935L.?!XJ3VS`*/N=6H87^P[&E0;.TS20/N*]SI:M>S
MQ4MW'+O&$[$_T%Q-1[.I!JT\7*C&3%?CTW[IT0<ZD^X\P:Q&?9C8?C6LWNO?
MM]MF'7&]/HR6,SW[(-O1<&:42DJOP1;1LB@YF\R[+^M6,U85>Q\+;N.>VNMA
MV8?6=;-P;/67WGR=<BS-P86;T1QHB=JZM@KY]6;3Y6RL:_P7]'!)($PFH15B
M&:)H;[58SA9:>.,*N@,:!A)CYQ[(HZ2(`YSY5(\*S&5O.5KW!^/N[^_DMAY7
M,?A8,'S/I<)+P]Z(4,%?`C<*D>"P=TY9@3_5`7[O:&8+WGF@0CQRF@0J"^D_
MS%;3WF#]L!H.!PL\L`;WJ!LZ63+Q/O<G74!_'F6P";=;;'OL>13;\E?#V,4E
M:@1"*,"2B1P39(0'?AK;GH-/$C_E:2YQ[H1[7YY`J`;J#?O:U?<@M?%FT3TN
MCYZR#\""`&/0/"H"%A,1OPT8VTCGBER;$(G0=<!E"O9H%XG6C]H'$1:C2".M
MC$P6(L.OV'V8M*;_!RW]0045"-=E@<&E;9XM;!UJ&K:^X>P?$.]^?31;#_ND
M#ALN@`?_0!L<_+7@G5'=ZEN'([NFWQ$&TF.V5D$4?V=@9A92LI!:0]D^OA.V
MJDRRDL--@XHJ@_I9#(JTTGBB))Y&XC9*`HJ*`64F4C*1"[>DRJU5<'O[D5OK
MI$TNW39+)G)V`O;;)D\V\T-2/VB.'9TQ[(KMZ3YUS7I10)_:;2YCEV4DW812
MEUO2R8;A4WX9R7VJ@-93Q@5X/O-H@%KI3-=>/B:%L548-PL$5="2BN06BB?:
MF'GXM\1CS,'"9B"VV"%,LJ_Z@2V*=X=S]/"_"[5=Q+T&(I*%O")5VB[ST#3-
M+,/;>*>R#8_4>9I[ZGQ*)V;*1.0%E5Q06V;%*5]0?5M>>"7;3D=S"[M6U2?/
M#_TZ*'5,7*0>)$W:-CTN_U!!G<Y_U1-:,^4A,";F/KFH8.+KC.1>L^9$\)E;
MG)-*LI63FV5RH\"V*MG-G'W[&;M9R6[E[/LR.XO<]4M5]",CW:4DQ)R[Q`5R
M23JS6Q7V%`!,W^OG16!U3&P$=<J5BSW;XZK3,<VL#ME9+>&40$7]_C\1SBXB
M:;9SD;M<Q"R(<'8N(C]-AYAQ)V;;R65R!+YDH2.N3IOF"N&7EAA>`\$%[+6T
C(EW#.E\"`-_W07]*%L-71X.TRPH^L_$U7/L7@_(`?E@-``"7
`
end
Comment 1 Garrett Wollman freebsd_committer 1994-11-23 20:36:40 UTC
State Changed
From-To: open->closed

Fixed by rev. 1.4 of config/config.y.
Comment 2 commit-hook freebsd_committer 2016-09-28 20:49:57 UTC
A commit references this bug:

Author: ache
Date: Wed Sep 28 20:49:33 UTC 2016
New revision: 306414
URL: https://svnweb.freebsd.org/changeset/base/306414

Log:
  MFC r306075,r306109

  1) Microoptimize %p case.
  2) Implememt %u for GNU compatibility.
  3) Don't forget to advance buf for %w/%u.
  4) Fail with incomplete week (week 0) request and no such week in the
  year.
  5) Fix yday formula when Sunday requested and the week started from Monday.
  6) Fail with impossible yday for incomplete week (week 0) and direct %w/%u
  request.
  7) Shift yday/wday to the first day of the year, if incomplete week
  (week 0) requested and no %w/%u used.
  8) For already non-standard %z extension implement GNU compatible formats:
  +hh and -hh.
  9) Check for incorrect values for %z.

  PR:     212983 (case 3 only)

Changes:
_U  stable/10/
  stable/10/lib/libc/stdtime/strptime.c
Comment 3 commit-hook freebsd_committer 2016-09-28 20:54:01 UTC
A commit references this bug:

Author: ache
Date: Wed Sep 28 20:52:59 UTC 2016
New revision: 306415
URL: https://svnweb.freebsd.org/changeset/base/306415

Log:
  MFC r306075,r306109

  1) Microoptimize %p case.
  2) Implememt %u for GNU compatibility.
  3) Don't forget to advance buf for %w/%u.
  4) Fail with incomplete week (week 0) request and no such week in the
  year.
  5) Fix yday formula when Sunday requested and the week started from Monday.
  6) Fail with impossible yday for incomplete week (week 0) and direct %w/%u
  request.
  7) Shift yday/wday to the first day of the year, if incomplete week
  (week 0) requested and no %w/%u used.
  8) For already non-standard %z extension implement GNU compatible formats:
  +hh and -hh.
  9) Check for incorrect values for %z.

  PR:     212983 (case 3 only)

Changes:
_U  stable/11/
  stable/11/lib/libc/stdtime/strptime.c
Comment 4 commit-hook freebsd_committer 2016-09-28 20:55:04 UTC
A commit references this bug:

Author: ache
Date: Wed Sep 28 20:54:47 UTC 2016
New revision: 306416
URL: https://svnweb.freebsd.org/changeset/base/306416

Log:
  MFC r306075,r306109

  1) Microoptimize %p case.
  2) Implememt %u for GNU compatibility.
  3) Don't forget to advance buf for %w/%u.
  4) Fail with incomplete week (week 0) request and no such week in the
  year.
  5) Fix yday formula when Sunday requested and the week started from Monday.
  6) Fail with impossible yday for incomplete week (week 0) and direct %w/%u
  request.
  7) Shift yday/wday to the first day of the year, if incomplete week
  (week 0) requested and no %w/%u used.
  8) For already non-standard %z extension implement GNU compatible formats:
  +hh and -hh.
  9) Check for incorrect values for %z.

  PR:     212983 (case 3 only)

Changes:
_U  stable/9/
_U  stable/9/lib/
_U  stable/9/lib/libc/
_U  stable/9/lib/libc/stdtime/
  stable/9/lib/libc/stdtime/strptime.c